Bug 851955 - CVE-2012-3535 openjpeg: heap-based buffer overflow when decoding jpeg2000 files [fedora-all]
CVE-2012-3535 openjpeg: heap-based buffer overflow when decoding jpeg2000 fil...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: openjpeg (Show other bugs)
17
All Linux
high Severity high
: ---
: ---
Assigned To: Jaromír Cápík
Fedora Extras Quality Assurance
: Security, SecurityTracking
Depends On:
Blocks: CVE-2012-3535
  Show dependency treegraph
 
Reported: 2012-08-27 02:50 EDT by Huzaifa S. Sidhpurwala
Modified: 2016-01-31 20:57 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Release Note
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-20 11:29:35 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Huzaifa S. Sidhpurwala 2012-08-27 02:50:40 EDT
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected Fedora
versions.

For comments that are specific to the vulnerability please use bugs filed
against "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When creating a Bodhi update request, please include this bug ID and the
bug IDs of this bug's parent bugs filed against the "Security Response"
product (the top-level CVE bugs).  Please mention the CVE IDs being fixed
in the RPM changelog when available.

Bodhi update submission link:
https://admin.fedoraproject.org/updates/new/?type_=security&bugs=842918

Please note: this issue affects multiple supported versions of Fedora.
Only one tracking bug has been filed; please ensure that it is only closed
when all affected versions are fixed.

[bug automatically created by: add-tracking-bugs]
Comment 1 Jaromír Cápík 2012-09-21 05:36:46 EDT
Gonna look at that ...
Comment 2 Fedora Update System 2012-09-24 12:53:45 EDT
openjpeg-1.4-14.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/openjpeg-1.4-14.fc17
Comment 3 Fedora Update System 2012-09-24 12:53:59 EDT
openjpeg-1.4-14.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/openjpeg-1.4-14.fc16
Comment 4 Fedora Update System 2012-09-24 12:54:10 EDT
openjpeg-1.5.0-5.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/openjpeg-1.5.0-5.fc18
Comment 5 Fedora Update System 2012-09-24 16:01:27 EDT
Package openjpeg-1.5.0-5.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing openjpeg-1.5.0-5.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-14664/openjpeg-1.5.0-5.fc18
then log in and leave karma (feedback).
Comment 6 Fedora Update System 2012-12-20 11:29:39 EST
openjpeg-1.4-14.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.